Query the task status
Updated
Query the status of a Real-Time STT task.
Real-Time STT API versions v5.x and v6.x are deprecated since June 2025 and will reach end-of-life on June 11, 2026. Use the v7 REST API for new projects.
Endpoint
-
Method:
GET -
Endpoint:
https://api.agora.io/v1/projects/{appId}/rtsc/speech-to-text/tasks/{taskId}
Use this endpoint to query the status of a Real-Time STT task.
Request
Path parameters
appId Type: string Required
The App ID of the project
taskId Type: string Required
The unique identifier of the Real-Time STT task you received in the response body of the start method.
Query parameters
builderToken Type: string Required
The tokenName value you obtained in the response body of the acquire method.
Response
-
If the returned status code is
200, the request was successful. The response body contains the result of the request.OK
taskId Type: string Required
The unique identifier of this transcription task.
createTs Type: integer Required
The Unix timestamp (in seconds) when the transcription task was created.
status Type: string Required
The current status of the transcription task:
-
IDLE: Task not initialized -
PREPARING: Task has received an initialization request -
PREPARED: Task initialization completed -
STARTING: Task is beginning to start -
CREATED: Task startup partially completed -
STARTED: Task startup fully completed -
IN_PROGRESS: Task is currently running -
STOPPING: Task is in the process of being paused -
STOPPED: Task has been terminated -
FAILURE_STOP: Task termination failed -
If the returned status code is not
200, the request failed. Refer tomessageandcodefields to understand the possible reasons for failure.
Non-200
message Type: string
The reason why the request failed.
Authorization
This endpoint requires Basic Auth.
Request example
curl --request GET \
--url 'https://api.agora.io/v1/projects/:appId/rtsc/speech-to-text/tasks/:taskId?builderToken=your_builder_token' \
--header 'Authorization: Basic <credentials>' import requests
url = "https://api.agora.io/v1/projects/:appId/rtsc/speech-to-text/tasks/:taskId?builderToken=your_builder_token"
headers = {"Authorization": "Basic <credentials>"}
response = requests.request("GET", url, headers=headers)
print(response.text) const url = 'https://api.agora.io/v1/projects/:appId/rtsc/speech-to-text/tasks/:taskId?builderToken=your_builder_token';
const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Response example
200
{
"tokenName": "The value of the builder token you use to call other methods.",
"createTs": null,
"instanceId": "The `instanceId` you specified in the request."
}Non-200
{
"message": "The reason why the request failed.",
}